<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

$form    = AWSM_Job_Openings_Pro_Form::get_custom_form_data( $post_id );
$choices = array(
	array(
		'default' => __( 'WP Job Openings Application Form (Recommended)', 'pro-pack-for-wp-job-openings' ),
	),
	array(
		'custom_button' => __( 'Custom Button', 'pro-pack-for-wp-job-openings' ),
		'custom_form'   => __( 'Custom Form', 'pro-pack-for-wp-job-openings' ),
	),
	array(
		'disable' => __( 'Disable Form', 'pro-pack-for-wp-job-openings' ),
	),
);
$form_id = ! empty( $form ) && isset( $form['id'] ) ? $form['id'] : 'default';
?>

<div class="awsm-pro-application-form-section">
	<div class="awsm-pro-application-form-container">
		<div class="awsm-wpjo-form-group<?php echo ( $form_id === 'default' || $form_id === 'disable' ) ? ' awsm-last-visible-group' : ''; ?>">
			<?php if ( $post_id !== 'option' ) : ?>
				<label for="awsm-pro-application-form"><?php esc_html_e( 'Choose the form', 'pro-pack-for-wp-job-openings' ); ?></label>
			<?php endif; ?>
			<select id="awsm-pro-application-form" name="awsm_jobs_custom_application_form[id]">
				<?php
					$item          = 1;
					$total_choices = count( $choices );
				foreach ( $choices as $sub_choices ) {
					foreach ( $sub_choices as $option_val => $option_label ) {
						printf( '<option value="%2$s" %3$s>%1$s</option>', esc_html( $option_label ), esc_attr( $option_val ), selected( $form_id, $option_val, false ) );
					}
					if ( $item < $total_choices ) {
						echo '<option value="" disabled>------------------</option>';
					}
					$item++;
				}
				?>
			</select>
		</div>

		<?php $button = isset( $form['button'] ) ? $form['button'] : array(); ?>
		<div class="awsm-wpjo-form-group<?php echo $form_id !== 'custom_button' ? ' awsm-hide' : ''; ?>">
			<div class="awsm-pro-application-form-option-custom_button awsm-pro-application-form-option">
				<label for="awsm-pro-application-custom-button-url"><?php esc_html_e( 'Enter URL', 'pro-pack-for-wp-job-openings' ); ?></label>
				<input type="url" name="awsm_jobs_custom_application_form[button][url]" id="awsm-pro-application-custom-button-url" class="awsm-pro-application-custom-button" value="<?php echo isset( $button['url'] ) ? esc_url( $button['url'] ) : ''; ?>"<?php echo $form_id === 'custom_button' ? ' required' : ''; ?> />
			</div>
		</div>

		<div class="awsm-wpjo-form-group<?php echo $form_id === 'custom_button' ? ' awsm-last-visible-group' : ' awsm-hide'; ?>">
			<div class="awsm-pro-application-form-option-custom_button awsm-pro-application-form-option">
				<label for="awsm-pro-application-custom-button-text"><?php esc_html_e( 'Button text', 'pro-pack-for-wp-job-openings' ); ?></label>
				<input type="text" name="awsm_jobs_custom_application_form[button][text]" id="awsm-pro-application-custom-button-text" class="awsm-pro-application-custom-button" value="<?php echo isset( $button['text'] ) ? esc_html( $button['text'] ) : ''; ?>"<?php echo $form_id === 'custom_button' ? ' required' : ''; ?> />
			</div>
		</div>

		<div class="awsm-wpjo-form-group<?php echo $form_id === 'custom_form' ? ' awsm-last-visible-group' : ' awsm-hide'; ?>">
			<div class="awsm-pro-application-form-option-custom_form awsm-pro-application-form-option">
				<textarea name="awsm_jobs_custom_application_form[shortcode]" cols="25" rows="3" placeholder="<?php esc_attr_e( 'Add your code here. Supports form shortcodes and iframe embedding.', 'pro-pack-for-wp-job-openings' ); ?>"<?php echo $form_id === 'custom_form' ? ' required' : ''; ?>><?php echo isset( $form['shortcode'] ) ? esc_textarea( $form['shortcode'] ) : ''; ?></textarea>
			</div>
		</div>
	</div>
</div>

